#include <desh/es.h>
#include <desh/sigmsgs.h>

/*
$ /bin/kill -L
 1 HUP      2 INT      3 QUIT     4 ILL      5 TRAP     6 ABRT    
 6 IOT      7 BUS      8 FPE      9 KILL    10 USR1    11 SEGV    
12 USR2    13 PIPE    14 ALRM    15 TERM    16 STKFLT  17 CHLD    
17 CLD     18 CONT    19 STOP    20 TSTP    21 TTIN    22 TTOU    
23 URG     24 XCPU    25 XFSZ    26 VTALRM  27 PROF    28 WINCH   
29 IO      29 POLL    30 PWR     31 UNUSED  31 SYS     34 RTMIN   
64 RTMAX   

*/
const Sigmsgs signals[] = {
{ 1, "sighup", "Hangup" },
{ 2, "sigint", "Interrupt" },
{ 3, "sigquit", "Quit" },
{ 4, "sigill", "Illegal instruction" },
{ 5, "sigtrap", "Trace/breakpoint trap" },
{ 6, "sigabrt", "Aborted" },
{ 7, "sigbus", "Bus error" },
{ 8, "sigfpe", "Floating point exception" },
{ 9, "sigkill", "Killed" },
{ 10, "sigusr1", "User defined signal 1" },
{ 11, "sigsegv", "Segmentation fault" },
{ 12, "sigusr2", "User defined signal 2" },
{ 13, "sigpipe", "Broken pipe" },
{ 14, "sigalrm", "Alarm clock" },
{ 15, "sigterm", "Terminated" },
{ 16, "sigstkflt", "Stack fault" },
{ 17, "sigchld", "Child exited" },
{ 18, "sigcont", "Continued" },
{ 19, "sigstop", "Stopped (signal)" },
{ 20, "sigtstp", "Stopped" },
{ 21, "sigttin", "Stopped (tty input)" },
{ 22, "sigttou", "Stopped (tty output)" },
{ 23, "sigurg", "Urgent I/O condition" },
{ 24, "sigxcpu", "CPU time limit exceeded" },
{ 25, "sigxfsz", "File size limit exceeded" },
{ 26, "sigvtalrm", "Virtual timer expired" },
{ 27, "sigprof", "Profiling timer expired" },
{ 28, "sigwinch", "Window changed" },
{ 29, "sigio", "I/O possible" },
{ 30, "sigpwr", "Power failure" },
{ 31, "sigunused", "Bad system call" },
{ 32, "sig32", "Unknown signal 32" },
{ 33, "sig33", "Unknown signal 33" },
{ 34, "sigrtmin", "Real-time signal 0" },
{ 35, "sig35", "Real-time signal 1" },
{ 36, "sig36", "Real-time signal 2" },
{ 37, "sig37", "Real-time signal 3" },
{ 38, "sig38", "Real-time signal 4" },
{ 39, "sig39", "Real-time signal 5" },
{ 40, "sig40", "Real-time signal 6" },
{ 41, "sig41", "Real-time signal 7" },
{ 42, "sig42", "Real-time signal 8" },
{ 43, "sig43", "Real-time signal 9" },
{ 44, "sig44", "Real-time signal 10" },
{ 45, "sig45", "Real-time signal 11" },
{ 46, "sig46", "Real-time signal 12" },
{ 47, "sig47", "Real-time signal 13" },
{ 48, "sig48", "Real-time signal 14" },
{ 49, "sig49", "Real-time signal 15" },
{ 50, "sig50", "Real-time signal 16" },
{ 51, "sig51", "Real-time signal 17" },
{ 52, "sig52", "Real-time signal 18" },
{ 53, "sig53", "Real-time signal 19" },
{ 54, "sig54", "Real-time signal 20" },
{ 55, "sig55", "Real-time signal 21" },
{ 56, "sig56", "Real-time signal 22" },
{ 57, "sig57", "Real-time signal 23" },
{ 58, "sig58", "Real-time signal 24" },
{ 59, "sig59", "Real-time signal 25" },
{ 60, "sig60", "Real-time signal 26" },
{ 61, "sig61", "Real-time signal 27" },
{ 62, "sig62", "Real-time signal 28" },
{ 63, "sig63", "Real-time signal 29" },
{ 64, "sigrtmax", "Real-time signal 30" },
};

const int nsignals = arraysize(signals); /* NSIG=65 */
